VERSION 5.00
Begin VB.Form HelpForm 
   Caption         =   "PngIron Help"
   ClientHeight    =   6615
   ClientLeft      =   120
   ClientTop       =   420
   ClientWidth     =   9480
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   9.75
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "HelpForm"
   ScaleHeight     =   6615
   ScaleWidth      =   9480
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "HelpForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Const API_NULL As Long = 0
Private Const API_TRUE As Long = 1
Private Const API_FALSE As Long = 0

Private Const WM_SETTEXT As Long = &HC&
Private Const EM_SETMARGINS As Long = &HD3&
Private Const EC_LEFTMARGIN As Long = &H1&
Private Const EC_RIGHTMARGIN As Long = &H2&

Private Const ES_MULTILINE As Long = &H4
Private Const ES_READONLY As Long = &H800&
Private Const ES_WANTRETURN As Long = &H1000&

Private Const WS_CHILD As Long = &H40000000
Private Const WS_EX_CLIENTEDGE As Long = &H200&
Private Const WS_VISIBLE As Long = &H10000000
Private Const WS_VSCROLL As Long = &H200000

Private Const SWP_NOZORDER As Long = &H4&

Private Declare Function CreateWindowEx Lib "user32" _
    Alias "CreateWindowExA" ( _
    ByVal dwExStyle As Long, _
    ByVal lpClassName As String, _
    ByVal lpWindowName As String, _
    ByVal dwStyle As Long, _
    ByVal x As Long, _
    ByVal y As Long, _
    ByVal nWidth As Long, _
    ByVal nHeight As Long, _
    ByVal hWndParent As Long, _
    ByVal hMenu As Long, _
    ByVal hInstance As Long, _
    ByVal lpParam As Long) As Long
Private Declare Function DestroyWindow Lib "user32" (ByVal hWnd As Long) As Long
Private Declare Function FreeLibrary Lib "kernel32" (ByVal hModule As Long) As Long
Private Declare Function InvalidateRect Lib "user32" ( _
    ByVal hWnd As Long, _
    ByVal lpRect As Long, _
    ByVal bErase As Long) As Long
Private Declare Function LoadLibrary Lib "kernel32" Alias "LoadLibraryA" ( _
    ByVal lpLibFileName As String) As Long
Private Declare Function SendMessage Lib "user32" _
    Alias "SendMessageA" ( _
    ByVal hWnd As Long, _
    ByVal wMsg As Long, _
    ByVal wParam As Long, _
    ByVal lParam As Long) As Long
Private Declare Function SetFocusAPI Lib "user32" Alias "SetFocus" (ByVal hWnd As Long) As Long
Private Declare Function SetWindowPos Lib "user32" _
   (ByVal hWnd As Long, _
    ByVal hWndInsAfter As Long, _
    ByVal x As Long, _
    ByVal y As Long, _
    ByVal cx As Long, _
    ByVal cy As Long, _
    ByVal wFlags As Long) As Long

Private hRichEd32 As Long
Private hWndRichEd As Long

Private Sub Form_Load()
    Dim AnsiRtfText() As Byte
    
    Icon = MainForm.Icon
    
    'Create, then load ANSI RTF text into, an ANSI RichEd 2.0 control hosted on this Form.
    
    'Load the Rich Edit library.
    hRichEd32 = LoadLibrary("riched32.dll")

    'Create the control.
    hWndRichEd = CreateWindowEx(WS_EX_CLIENTEDGE, "RichEdit20A", vbNullString, _
                                ES_MULTILINE Or ES_WANTRETURN Or WS_CHILD Or WS_VISIBLE _
                                Or WS_VSCROLL Or ES_READONLY, _
                                0, 0, _
                                ScaleX(ScaleWidth, ScaleMode, vbPixels), _
                                ScaleY(ScaleHeight, ScaleMode, vbPixels), _
                                hWnd, 0, App.hInstance, 0)
    'Set left/right margins at 14px.
    SendMessage hWndRichEd, EM_SETMARGINS, EC_LEFTMARGIN Or EC_RIGHTMARGIN, &HE000E
    SetFocusAPI hWndRichEd
    AnsiRtfText = LoadResData("HELP", "RTF")
    SendMessage hWndRichEd, WM_SETTEXT, 0, VarPtr(AnsiRtfText(0))
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    If UnloadMode = vbFormControlMenu Then
        Cancel = True
        Hide
    End If
End Sub

Private Sub Form_Resize()
    If WindowState <> vbMinimized Then
        SetWindowPos hWndRichEd, 0, 0, 0, _
                     ScaleX(ScaleWidth, ScaleMode, vbPixels), _
                     ScaleY(ScaleHeight, ScaleMode, vbPixels), _
                     SWP_NOZORDER
        InvalidateRect hWndRichEd, API_NULL, API_FALSE
    End If
End Sub

Private Sub Form_Unload(Cancel As Integer)
    DestroyWindow hWndRichEd
    FreeLibrary hRichEd32
End Sub
