VERSION 5.00
Begin VB.Form ThresholdDlg 
   BackColor       =   &H80000015&
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "Alpha threshold setting"
   ClientHeight    =   4320
   ClientLeft      =   45
   ClientTop       =   315
   ClientWidth     =   5985
   BeginProperty Font 
      Name            =   "Courier New"
      Size            =   9.75
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "ThresholdDlg"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4320
   ScaleWidth      =   5985
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.Label lblThreshold 
      Alignment       =   2  'Center
      BackColor       =   &H80000005&
      Caption         =   "00"
      ForeColor       =   &H80000008&
      Height          =   255
      Index           =   0
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   360
   End
End
Attribute VB_Name = "ThresholdDlg"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private mThreshold As Byte

Public Property Get Threshold() As Byte
    Threshold = mThreshold
End Property

Public Property Let Threshold(ByVal RHS As Byte)
    With lblThreshold(mThreshold)
        .BackColor = vbWindowBackground
        .ForeColor = vbWindowText
    End With
    mThreshold = RHS
    With lblThreshold(mThreshold)
        .BackColor = vbHighlight
        .ForeColor = vbHighlightText
    End With
End Property

Private Sub Form_Initialize()
    Const PAD_COL As Single = 15
    Const PAD_ROW As Single = 15
    Dim Col As Integer
    Dim Row As Integer
    Dim Value As Integer
    
    For Col = 0 To 15
        For Row = 0 To 15
            Value = Col * 16 + Row
            If Value > 0 Then Load lblThreshold(Value)
            With lblThreshold(Value)
                .Move (PAD_COL + .Width) * Col, PAD_ROW + (PAD_ROW + .Height) * Row
                .Visible = True
            End With
            lblThreshold(Value).Caption = Right$("0" & Hex$(Value), 2)
        Next
    Next
    With lblThreshold(mThreshold)
        .BackColor = vbHighlight
        .ForeColor = vbHighlightText
    End With
End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    If KeyCode = vbKeyEscape Then
        KeyCode = 0
        Hide
    End If
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    If UnloadMode = vbFormControlMenu Then
        Cancel = True
        Hide
    End If
End Sub

Private Sub lblThreshold_Click(Index As Integer)
    Threshold = Index
    Hide
End Sub
