VERSION 5.00
Begin VB.Form MainForm 
   Caption         =   "PngIron"
   ClientHeight    =   6930
   ClientLeft      =   225
   ClientTop       =   525
   ClientWidth     =   8985
   BeginProperty Font 
      Name            =   "Segoe UI"
      Size            =   9
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "MainForm.frx":0000
   LinkTopic       =   "MainForm"
   ScaleHeight     =   6930
   ScaleWidth      =   8985
   Begin VB.ComboBox cboReductionlevel 
      Enabled         =   0   'False
      Height          =   345
      Left            =   4200
      Style           =   2  'Dropdown List
      TabIndex        =   8
      ToolTipText     =   "Color count reduction level"
      Top             =   0
      Width           =   495
   End
   Begin VB.CommandButton cmdHelp 
      BackColor       =   &H00FFFFFF&
      Height          =   360
      Left            =   6480
      Picture         =   "MainForm.frx":0CB2
      Style           =   1  'Graphical
      TabIndex        =   11
      ToolTipText     =   "Show help"
      Top             =   0
      Width           =   360
   End
   Begin VB.CheckBox chkDropper 
      BackColor       =   &H00FFFFFF&
      Enabled         =   0   'False
      Height          =   380
      Left            =   1560
      Picture         =   "MainForm.frx":0D64
      Style           =   1  'Graphical
      TabIndex        =   4
      ToolTipText     =   "Choose a pixel color"
      Top             =   0
      Width           =   360
   End
   Begin VB.CommandButton cmdPaintColor 
      BackColor       =   &H00000000&
      Enabled         =   0   'False
      Height          =   360
      Left            =   1200
      Style           =   1  'Graphical
      TabIndex        =   3
      ToolTipText     =   "PaintColor..."
      Top             =   0
      Width           =   360
   End
   Begin VB.ComboBox cboZoomfactor 
      Height          =   345
      Left            =   5460
      Style           =   2  'Dropdown List
      TabIndex        =   10
      ToolTipText     =   "Zoom factor for viewing"
      Top             =   0
      Width           =   735
   End
   Begin VB.TextBox txtThreshold 
      Alignment       =   2  'Center
      Enabled         =   0   'False
      Height          =   345
      Left            =   3000
      Locked          =   -1  'True
      TabIndex        =   6
      Text            =   "00"
      ToolTipText     =   "Click to choose an alpha threshold value for flattening..."
      Top             =   0
      Width           =   360
   End
   Begin VB.CommandButton cmdMaskcolor 
      BackColor       =   &H00C0C0C0&
      Enabled         =   0   'False
      Height          =   360
      Left            =   840
      Style           =   1  'Graphical
      TabIndex        =   2
      ToolTipText     =   "MaskColor..."
      Top             =   0
      Width           =   360
   End
   Begin VB.CommandButton cmdSave 
      BackColor       =   &H00FFFFFF&
      Enabled         =   0   'False
      Height          =   360
      Left            =   360
      Picture         =   "MainForm.frx":0E01
      Style           =   1  'Graphical
      TabIndex        =   1
      ToolTipText     =   "Save as PNG file..."
      Top             =   0
      Width           =   360
   End
   Begin VB.CommandButton cmdOpen 
      BackColor       =   &H00FFFFFF&
      Height          =   360
      Left            =   0
      Picture         =   "MainForm.frx":0E97
      Style           =   1  'Graphical
      TabIndex        =   0
      ToolTipText     =   "Open PNG file..."
      Top             =   0
      Width           =   360
   End
   Begin VB.PictureBox picOuter 
      Height          =   5835
      Left            =   0
      ScaleHeight     =   5775
      ScaleWidth      =   8955
      TabIndex        =   12
      Top             =   360
      Width           =   9015
      Begin VB.HScrollBar hsbInner 
         Height          =   255
         LargeChange     =   3280
         Left            =   0
         SmallChange     =   328
         TabIndex        =   20
         Top             =   5460
         Width           =   8655
      End
      Begin VB.VScrollBar vsbInner 
         Height          =   5415
         LargeChange     =   3280
         Left            =   8700
         SmallChange     =   328
         TabIndex        =   19
         Top             =   0
         Width           =   255
      End
      Begin VB.PictureBox picCorner 
         Appearance      =   0  'Flat
         BackColor       =   &H80000010&
         BorderStyle     =   0  'None
         ForeColor       =   &H80000008&
         Height          =   255
         Left            =   8700
         ScaleHeight     =   255
         ScaleWidth      =   255
         TabIndex        =   13
         Top             =   5460
         Width           =   255
      End
      Begin VB.PictureBox picInner 
         BackColor       =   &H00404040&
         BorderStyle     =   0  'None
         ClipControls    =   0   'False
         Height          =   4875
         Left            =   120
         MousePointer    =   2  'Cross
         ScaleHeight     =   4875
         ScaleWidth      =   6435
         TabIndex        =   21
         TabStop         =   0   'False
         Top             =   60
         Visible         =   0   'False
         Width           =   6435
      End
   End
   Begin VB.Label lblStatus 
      Height          =   255
      Index           =   3
      Left            =   0
      TabIndex        =   17
      Top             =   6540
      Width           =   6375
   End
   Begin VB.Label Label3 
      Alignment       =   1  'Right Justify
      Caption         =   "Reduce:"
      Height          =   255
      Left            =   3420
      TabIndex        =   7
      Top             =   60
      Width           =   675
   End
   Begin VB.Label lblStatus 
      Alignment       =   2  'Center
      Height          =   255
      Index           =   1
      Left            =   6480
      TabIndex        =   15
      ToolTipText     =   "Loaded image width, height, pixel depth"
      Top             =   6240
      Visible         =   0   'False
      Width           =   1515
   End
   Begin VB.Label Label2 
      Alignment       =   1  'Right Justify
      Caption         =   "Zoom:"
      Height          =   255
      Left            =   4800
      TabIndex        =   9
      Top             =   60
      Width           =   555
   End
   Begin VB.Label lblStatus 
      Alignment       =   1  'Right Justify
      BackColor       =   &H0000FFFF&
      Caption         =   "No Alpha "
      ForeColor       =   &H000000FF&
      Height          =   255
      Index           =   2
      Left            =   8100
      TabIndex        =   16
      ToolTipText     =   "Loaded image has no alpha channel transparency"
      Top             =   6240
      Visible         =   0   'False
      Width           =   855
   End
   Begin VB.Label lblStatus 
      Height          =   255
      Index           =   0
      Left            =   0
      TabIndex        =   14
      Top             =   6240
      Width           =   6375
   End
   Begin VB.Label Label1 
      Alignment       =   1  'Right Justify
      Caption         =   "Threshold:"
      Height          =   255
      Left            =   2040
      TabIndex        =   5
      Top             =   60
      Width           =   855
   End
   Begin VB.Label lblStatus 
      Alignment       =   2  'Center
      Caption         =   "Saved"
      Height          =   255
      Index           =   4
      Left            =   8100
      TabIndex        =   18
      ToolTipText     =   "Loaded image width, height, pixel depth"
      Top             =   6540
      Visible         =   0   'False
      Width           =   855
   End
End
Attribute VB_Name = "MainForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Const MIN_WIDTH As Single = 7200
Private Const MIN_HEIGHT As Single = 3600

Private Const DEFAULT_LEFT As Single = 600
Private Const DEFAULT_TOP As Single = 600
Private Const DEFAULT_WIDTH As Single = 9225
Private Const DEFAULT_HEIGHT As Single = 7035
Private Const DEFAULT_MASKCOLOR As Long = &HC0C0C0
Private Const DEFAULT_ZOOM As Integer = 0 '0 means ZoomFactor  1, 1 means ZoomFactor  2, etc.
                                          'i.e. powers of 2.

Private Declare Function PathCompactPath Lib "shlwapi" Alias "PathCompactPathW" ( _
    ByVal hDC As Long, _
    ByVal pszPath As Long, _
    ByVal dx As Long) As Long

Private KVStore As KVStore
Private dlgColorOpen As CommonDlgsW
Private dlgSave As CommonDlgsW 'Use a second one so we can have a different DialogTitle
                               'and a different persistent InitDir.
Private DropperColor As Long '-1 means no dropper color picked.
Private FileName As String
Private Masker As Masker
Private SaveFileName As String
Private SaveFileTitle As String 'After Open we use the opened name for Saves, after
                                'a Save we keep the Saved name.
Private SuppressClick As Boolean 'True during Form_Load while building ComboBox lists.
Private ScrollableX As Single
Private ScrollableY As Single
Private ZoomFactor As Long

Public Function SubclassProc( _
    ByRef hWnd As Long, _
    ByRef uMsg As Long, _
    ByRef wParam As Long, _
    ByRef lParam As Long, _
    ByVal dwRefData As Long) As Long
    
    Const WM_MOUSEWHEEL As Long = &H20A&
    Const WM_MOUSEHWHEEL As Long = &H20E& 'Requires Vista or later.
    Dim Sum As Long
    
    Select Case uMsg
        Case WM_MOUSEWHEEL
            With vsbInner
                If .Enabled Then
                    Sum = CLng(.Value) - CLng(HiWord(wParam)) * 60&
                    If Sum < .Min Then
                        .Value = .Min
                    ElseIf Sum > .Max Then
                        .Value = .Max
                    Else
                        .Value = Sum
                    End If
                End If
            End With
        
        Case WM_MOUSEHWHEEL
            With hsbInner
                If .Enabled Then
                    Sum = CLng(.Value) + CLng(HiWord(wParam)) * 60&
                    If Sum < .Min Then
                        .Value = .Min
                    ElseIf Sum > .Max Then
                        .Value = .Max
                    Else
                        .Value = Sum
                    End If
                End If
            End With
        
        Case Else
            SubclassProc = DefSubclassProc(hWnd, uMsg, wParam, lParam)
    End Select
End Function

Private Sub FormatStatusFileName(ByVal FileName As String, ByVal LblStatusIndex As Integer)
    'Format FileName to fit current lblStatus(0).Width after we add a leading space.
    'The leading space just makes the label a more attractive "status bar" segment.
    Dim CompactPath As String
    Dim CPEnd As Long
    
    CompactPath = FileName
    'Size we pass subtracts lblStatus(0)'s borders plus a little to allow room
    'for a leading space:
    If PathCompactPath(hDC, _
                       StrPtr(CompactPath), _
                       ScaleX(lblStatus(LblStatusIndex).Width - 120, vbTwips, vbPixels)) Then
        CPEnd = InStr(CompactPath, vbNullChar)
        If CPEnd > 0 Then CompactPath = Left$(CompactPath, CPEnd - 1)
    Else
        CompactPath = "..." & Right$(FileName, 40)
    End If
    'Add the space here, since PathCompactPath() can't handle it if prefixed earlier:
    lblStatus(LblStatusIndex).Caption = " " & CompactPath
End Sub

Private Function HiWord(ByVal DWORD As Long) As Integer
    'Strips high word of a DWORD and returns it as a signed Integer value.
    HiWord = (DWORD And &H7FFF0000) \ &H10000
    If DWORD And &H80000000 Then HiWord = HiWord Or &H8000
End Function

Private Sub MovePicInner()
    With picInner
        .Move -ScrollableX * hsbInner.Value / hsbInner.Max, _
              -ScrollableY * vsbInner.Value / vsbInner.Max
    End With
End Sub

Private Sub PaintComposedZoomed(ByVal Apply As Boolean)
    With picInner
        If Apply Then
            .Visible = False
            MousePointer = vbHourglass
            Masker.Apply
        End If
        .Width = .ScaleX(Masker.Width * ZoomFactor, vbPixels, vbTwips)
        .Height = .ScaleY(Masker.Height * ZoomFactor, vbPixels, vbTwips)
        .Refresh
        UpdateScrollable
        If Apply Then
            MousePointer = vbDefault
            .Visible = True
        End If
    End With
End Sub

Private Sub UpdateScrollable()
    Dim Scrollable As Single
    
    With picOuter
        Scrollable = picInner.Width - (.ScaleWidth - vsbInner.Width)
        If ScrollableX <> Scrollable Then
            'Zoom or Form size has changed:
            ScrollableX = Scrollable
            With hsbInner
                .Enabled = ScrollableX > 0
                If Not .Enabled Then
                    .Value = 0
                End If
            End With
        End If
        Scrollable = picInner.Height - (.ScaleHeight - hsbInner.Height)
        If ScrollableY <> Scrollable Then
            'Zoom or Form size has changed:
            ScrollableY = Scrollable
            With vsbInner
                .Enabled = ScrollableY > 0
                If Not .Enabled Then
                    .Value = 0
                End If
            End With
        End If
    End With
    MovePicInner
End Sub

Private Sub cboReductionlevel_Click()
    chkDropper.Value = vbUnchecked
    picInner.MousePointer = vbCrosshair
    If Not SuppressClick Then
        picOuter.SetFocus
        With Masker
            .Reduction = cboReductionlevel.ItemData(cboReductionlevel.ListIndex)
            If .Loaded Then PaintComposedZoomed Apply:=True
        End With
    End If
End Sub

Private Sub cboZoomfactor_Click()
    chkDropper.Value = vbUnchecked
    picInner.MousePointer = vbCrosshair
    If Not SuppressClick Then
        picOuter.SetFocus
        With cboZoomfactor
            ZoomFactor = .ItemData(.ListIndex)
        End With
        If Len(FileName) Then PaintComposedZoomed Apply:=False
    End If
End Sub

Private Sub chkDropper_Click()
    If chkDropper.Value = vbUnchecked Then chkDropper.BackColor = vbWhite
    picOuter.SetFocus
End Sub

Private Sub cmdHelp_Click()
    picOuter.SetFocus
    HelpForm.Show vbModeless, Me
End Sub

Private Sub cmdMaskcolor_Click()
    Dim Canceled As Boolean
    
    With Masker
        If chkDropper.Value = vbChecked And DropperColor >= 0 Then
            .MaskColor = DropperColor
        Else
            dlgColorOpen.Color = .MaskColor
            If dlgColorOpen.ShowColor(hWnd) Then
                .MaskColor = dlgColorOpen.Color
            Else
                Canceled = True
            End If
        End If
        If Not Canceled Then
            If .Loaded Then
                Refresh 'Allow mask color dialog to "hide" before we continue.
                PaintComposedZoomed Apply:=True
            End If
            cmdMaskcolor.BackColor = .MaskColor
        End If
    End With
    picOuter.SetFocus
    chkDropper.Value = vbUnchecked
    picInner.MousePointer = vbCrosshair
End Sub

Private Sub cmdPaintColor_Click()
    Dim Canceled As Boolean
    
    With Masker
        If chkDropper.Value = vbChecked And DropperColor >= 0 Then
            .PaintColor = DropperColor
        Else
            dlgColorOpen.Color = .PaintColor
            If dlgColorOpen.ShowColor(hWnd) Then
                .PaintColor = dlgColorOpen.Color
            Else
                Canceled = True
            End If
        End If
        If Not Canceled Then
            cmdPaintColor.BackColor = .PaintColor
        End If
    End With
    picOuter.SetFocus
    chkDropper.Value = vbUnchecked
    picInner.MousePointer = vbCrosshair
End Sub

Private Sub cmdOpen_Click()
    With dlgColorOpen
        If .ShowOpen(hWnd) Then
            FileName = .FileName
            SaveFileTitle = .FileTitle
            .InitDir = Left$(FileName, Len(FileName) - 1 - Len(SaveFileTitle)) 'Next call same dir.
            lblStatus(0).ToolTipText = FileName 'Full file name.
            FormatStatusFileName FileName, 0 'File name formatted to fit available width.
            hsbInner.Value = 0
            vsbInner.Value = 0
            With Masker
                If Not .Loaded Then
                    'First Load:
                    If dlgSave.InitDir = App.Path Then
                        dlgSave.InitDir = dlgColorOpen.InitDir
                    End If
                End If
                .LoadFile FileName
                lblStatus(1).Visible = True
                lblStatus(1).Caption = CStr(.Width) & "" & CStr(.Height) & "" & CStr(.Depth)
                SaveFileName = vbNullString
                lblStatus(3).Caption = SaveFileName
                lblStatus(3).ToolTipText = SaveFileName
                lblStatus(4).Visible = False
                If .IsAlpha Then
                    chkDropper.Enabled = True
                    cmdSave.Enabled = True
                    cmdPaintColor.Enabled = True
                    cmdMaskcolor.Enabled = True
                    txtThreshold.Enabled = True
                    cboReductionlevel.Enabled = .AlphaThreshold > 0
                    lblStatus(2).Visible = False
                Else
                    chkDropper.Enabled = False
                    cmdSave.Enabled = False
                    cmdPaintColor.Enabled = False
                    cmdMaskcolor.Enabled = False
                    txtThreshold.Enabled = False
                    cboReductionlevel.Enabled = False
                    With lblStatus(2)
                        .Visible = True
                        .ZOrder vbBringToFront
                    End With
                End If
                Refresh 'Allow other controls to visibly update before slow Apply method.
                PaintComposedZoomed Apply:=True
            End With
        End If
    End With
    picOuter.SetFocus
End Sub

Private Sub cmdSave_Click()
    With dlgSave
        .FileName = SaveFileTitle
        If .ShowSave(hWnd) Then
            SaveFileName = .FileName
            On Error Resume Next
            Kill SaveFileName
            On Error GoTo 0
            Masker.SaveFile SaveFileName
            SaveFileTitle = .FileTitle
            .InitDir = Left$(SaveFileName, _
                             Len(SaveFileName) - 1 - Len(SaveFileTitle)) 'Next call same dir.
            lblStatus(3).ToolTipText = SaveFileName 'Full file name.
            FormatStatusFileName SaveFileName, 3 'File name formatted to fit available width.
            With lblStatus(4)
                .Visible = True
                .ZOrder vbBringToFront
            End With
        End If
    End With
End Sub

Private Sub Form_Load()
    Dim I As Integer
    
    Set dlgColorOpen = New CommonDlgsW
    With dlgColorOpen
        'ShowColor doesn't use any of these, only ShowOpen:
        .DefaultExt = "png"
        .DialogTitle = "Choose PNG image"
        .Filter = "PNG images|*.png"
        .Flags = cdlOFNExplorer _
              Or cdlOFNLongNames _
              Or cdlOFNFileMustExist _
              Or cdlOFNPathMustExist _
              Or cdlOFNHideReadOnly _
              Or cdlOFNShareAware
        .InitDir = App.Path
    End With
    Set dlgSave = New CommonDlgsW
    With dlgSave
        .DefaultExt = "png"
        .DialogTitle = "Save as PNG image"
        .Filter = "PNG images|*.png"
        .Flags = cdlOFNExplorer _
              Or cdlOFNLongNames _
              Or cdlOFNOverwritePrompt _
              Or cdlOFNPathMustExist _
              Or cdlOFNHideReadOnly _
              Or cdlOFNNoReadOnlyReturn _
              Or cdlOFNShareAware
    End With
    Set Masker = New Masker
    With cboReductionlevel
        For I = 5 To 0 Step -1
            .AddItem CStr(I), 0
            .ItemData(0) = I
        Next
        SuppressClick = True
        .ListIndex = 0
        SuppressClick = False
    End With
    With cboZoomfactor
        For I = 4 To 0 Step -1
            ZoomFactor = CLng(2 ^ I)
            .AddItem "" & CStr(ZoomFactor), 0
            .ItemData(0) = ZoomFactor
        Next
        SuppressClick = True
        .ListIndex = 0
        SuppressClick = False
    End With
    
    Set KVStore = New KVStore
    With KVStore
        .FileName = App.CompanyName & "\" & App.ProductName & "\Settings.txt"
        If .Load() Then
            Move .Item("Left", DEFAULT_LEFT), _
                 .Item("Top", DEFAULT_TOP), _
                 .Item("Width", DEFAULT_WIDTH), _
                 .Item("Height", DEFAULT_HEIGHT)
            Masker.MaskColor = .Item("MaskColor", DEFAULT_MASKCOLOR)
            dlgColorOpen.InitDir = .Item("OpenPath", App.Path)
            dlgSave.InitDir = .Item("SavePath", App.Path)
            Show 'Do this so picOuter.SetFocus won't fail.  Setting
                 'ComboBox.ListIndex here can trigger it.
            'No SuppressClick here!
            cboZoomfactor.ListIndex = .Item("Zoom", DEFAULT_ZOOM)
        Else
            dlgColorOpen.InitDir = App.Path
            dlgSave.InitDir = App.Path
            Show 'Do this so picOuter.SetFocus won't fail.
        End If
    End With
    DropperColor = -1 'No color.
    cmdPaintColor.BackColor = Masker.PaintColor
    cmdMaskcolor.BackColor = Masker.MaskColor
    txtThreshold.Text = Right$("0" & Hex$(Masker.AlphaThreshold), 2)
    
    picOuter.SetFocus
    SubclassMe picOuter.hWnd, Me
End Sub

Private Sub Form_Resize()
    If WindowState <> vbMinimized Then
        If Width < MIN_WIDTH Then
            Width = MIN_WIDTH
        ElseIf Height < MIN_HEIGHT Then
            Height = MIN_HEIGHT
        Else
            'lblStatus elements layout at bottom of Form:
            '
            '               [0       ][1   ][2 ]
            '               [3       ]      [4 ]
            '
            'These all have the same Height, set at design time so for
            'Height offsets we can use any of them as we need them here.
            With lblStatus(4)
                .Move ScaleWidth - .Width, ScaleHeight - .Height
                lblStatus(2).Move .Left, .Top - .Height
                With lblStatus(2)
                    lblStatus(1).Move .Left - lblStatus(1).Width, .Top
                End With
                With lblStatus(1)
                    lblStatus(0).Move 0, .Top, .Left
                    lblStatus(3).Move 0, .Top + .Height, .Left
                End With
            End With
            If Len(FileName) Then FormatStatusFileName FileName, 0
            If Len(SaveFileName) Then FormatStatusFileName SaveFileName, 3
            With picOuter
                .Move .Left, .Top, ScaleWidth - .Left, lblStatus(0).Top - .Top
                hsbInner.Move 0, .ScaleHeight - hsbInner.Height, .ScaleWidth - vsbInner.Width
                vsbInner.Move .ScaleWidth - vsbInner.Width, 0, vsbInner.Width, .ScaleHeight - hsbInner.Height
                picCorner.Move hsbInner.Width, vsbInner.Height
                UpdateScrollable
            End With
            With KVStore
                If WindowState <> vbMaximized Then
                    .Item("Left", DEFAULT_LEFT) = Left
                    .Item("Top", DEFAULT_TOP) = Top
                    .Item("Width", DEFAULT_WIDTH) = Width
                    .Item("Height", DEFAULT_HEIGHT) = Height
                End If
            End With
        End If
    End If
End Sub

Private Sub Form_Unload(Cancel As Integer)
    With KVStore
        If WindowState = vbNormal Then
            .Item("Left", DEFAULT_LEFT) = Left
            .Item("Top", DEFAULT_TOP) = Top
        End If
        .Item("MaskColor", DEFAULT_MASKCOLOR) = Masker.MaskColor
        .Item("OpenPath", App.Path) = dlgColorOpen.InitDir
        .Item("SavePath", App.Path) = dlgSave.InitDir
        .Item("Zoom", DEFAULT_ZOOM) = cboZoomfactor.ListIndex
        .Save
    End With
    Unload ThresholdDlg
    Unload HelpForm
    UnsubclassMe picOuter.hWnd, Me
End Sub

Private Sub hsbInner_Change()
    MovePicInner
End Sub

Private Sub picInner_MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)
    Dim PX As Long
    Dim PY As Long
    Dim OrigColor As Long
    Dim NewColor As Long
    
    With picInner
        PX = CLng(.ScaleX(x, .ScaleMode, vbPixels)) \ ZoomFactor
        PY = CLng(.ScaleY(y, .ScaleMode, vbPixels)) \ ZoomFactor
        If .MousePointer = vbCustom Then
            If chkDropper.Value = vbChecked Then
                DropperColor = Masker.PixelRGB(PX, PY)
                chkDropper.BackColor = DropperColor
            Else
                Masker.RemoveKnock PX, PY
                .Refresh
            End If
        Else
            With Masker
                If Button = vbRightButton Then
                    NewColor = .PaintColor
                Else
                    NewColor = .MaskColor
                End If
                .AddKnock PX, PY, NewColor
            End With
            .Refresh
        End If
    End With
End Sub

Private Sub picInner_MouseMove(Button As Integer, Shift As Integer, x As Single, y As Single)
    Dim PX As Long
    Dim PY As Long
    
    With picInner
        PX = CLng(.ScaleX(x, .ScaleMode, vbPixels)) \ ZoomFactor
        PY = CLng(.ScaleY(y, .ScaleMode, vbPixels)) \ ZoomFactor
        If Masker.IsKnocked(PX, PY) Then
            .MouseIcon = LoadResPicture("BULLSEYE", vbResCursor)
            .MousePointer = vbCustom
        ElseIf chkDropper.Value = vbChecked Then
            .MouseIcon = LoadResPicture("DROPPER", vbResCursor)
            .MousePointer = vbCustom
        Else
            .MousePointer = vbCrosshair
        End If
    End With
End Sub

Private Sub picInner_Paint()
    'Note: picInner.ClipControls = False minimizes flicker produced by this event
    'handler's code.
    With Masker
        If picInner.Visible Then
            .Composed.Render picInner.hDC, _
                             0, _
                             0, _
                             .Width * ZoomFactor, _
                             .Height * ZoomFactor, _
                             0, _
                             .Composed.Height, _
                             .Composed.Width, _
                             -.Composed.Height, _
                             ByVal 0&
        End If
    End With
End Sub

Private Sub txtThreshold_Click()
    chkDropper.Value = vbUnchecked
    picInner.MousePointer = vbCrosshair
    picOuter.SetFocus
    With ThresholdDlg
        .Show vbModal, Me
        If .Threshold <> Masker.AlphaThreshold Then
            txtThreshold.Text = Right$("0" & Hex$(.Threshold), 2)
            Masker.AlphaThreshold = .Threshold
            cboReductionlevel.Enabled = .Threshold > 0
            Refresh 'Allow threshold dialog to "hide" before we continue with slow Apply method.
            PaintComposedZoomed Apply:=True
        End If
    End With
End Sub

Private Sub vsbInner_Change()
    MovePicInner
End Sub

